Bug Hunting Session
Bug 101812 - Opening template manager switches to templates view in start center
Summary: Opening template manager switches to templates view in start center
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.3
Keywords:
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2016-08-31 10:45 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-09-12 10:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-08-31 10:45:12 UTC
Steps:
1) Open the start center in recent files view
2) Click Templates > Manage Templates
3) Notice that it switches the start center to templates view before opening the template

Version: 5.3.0.0.alpha0+
Build ID: 139d3b3e8b157c1f365f888126269f0902acbaa2
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-08-26_00:01:39
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Jean-Baptiste Faure 2016-09-03 22:05:45 UTC
Reproducible in LO 5.2.0. Not sure if it is a bug.

Best regards. JBF
Comment 2 Yousuf Philips (jay) (retired) 2016-09-04 13:05:03 UTC
I'd classify it as a bug as doing File > New > Templates in the start center doesnt have the same behaviour.
Comment 3 Commit Notification 2016-09-07 18:06:33 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f10549961983b10148ba9ffe91a5e6c19bde909f

tdf#101812 Opening template manager switches to templates view in start center

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Jean-Baptiste Faure 2016-09-10 13:05:15 UTC
@Akshay Deep: thank you very much for this fix. It works as expected in the master. Do you plan to backport it to 5.2 branch?

Best regards. JBF
Comment 5 Yousuf Philips (jay) (retired) 2016-09-10 15:22:05 UTC
Patch couldnt be backported by gerrit, so i had to do it manually.

https://gerrit.libreoffice.org/#/c/28808/
Comment 6 Commit Notification 2016-09-12 10:37:10 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=937a284ebfe1261e4b7666e4c1d2b8f9677c1763&h=libreoffice-5-2

tdf#101812 Dont switch to templates view when opening template manager

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.